namespace InABox.Core
{
    public class DoubleEditor : NumericEditor
    {
        public DoubleEditor(int digits) : base(2)
        {
            Format = $"F{digits}";
        }

        public DoubleEditor() : this(2)
        {
            
        }

        public new int Digits
        { 
            get => base.Digits;
            set => base.Digits = value;
        }

        protected override BaseEditor DoClone()
        {
            return new DoubleEditor(Digits);
        }
    }
}